Bug 430000 - Remove hard coded paths
Remove hard coded paths
Status: CLOSED WONTFIX
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
medium Severity high
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2008-01-24 01:29 EST by Chandrasekar Kannan
Modified: 2010-09-09 13:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 13:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of file references (2.92 KB, text/plain)
2008-08-05 05:34 EDT, Martin Nagy
no flags Details

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:29:14 EST
Ticket #47 (new defect)

Opened 3 months ago

Last modified 3 months ago
Remove hard coded paths
Reported by: 	kmacmill 	Assigned to: 	rcritten
Priority: 	major 	Milestone: 	release-2
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ¶

Now, onto some uglier stuff. I poked further at what changes would be required for hardcoded paths and what I found isn't pretty.

We have a slew of references to /usr/ in there, from the installer to runtime components. I think at least we should centralize this into one or two places (/etc/ipa/ipa.conf or some ipaconfig.py file).

The files affected are, at a minimum:

./ipa-gui/ipa-webgui ./ipa-install/ipa-server-install ./ipa-install/share/kdc.conf.template ./ipa-install/test/Makefile ./ipaserver/dsinstance.py ./xmlrpc-server/funcs.py ./xmlrpc-server/ipa.conf ./xmlrpc-server/ipaxmlrpc.py ./xmlrpc-server/test/README

Most of these are: sys.path.append("/usr/share/ipa/")

The two init files (ipa-webgui and ipa-kpasswd) both refer to /usr/sbin.

rob
Change History
2007-10-17 12:54:31 changed by kmacmill ¶

    * milestone set to milestone-5.

2007-10-31 14:29:43 changed by rcritten ¶

    * milestone changed from milestone-5 to release-2.
Comment 3 Martin Nagy 2008-08-05 05:34:16 EDT
Created attachment 313438 [details]
List of file references

Here's a list of files that we use. I've made it practically by hand so there most probably will be some mistakes or some files missing.
Comment 4 Martin Nagy 2008-08-05 12:04:55 EDT
Taking the bug.
Comment 8 Rob Crittenden 2010-09-09 13:34:10 EDT
The IPA code itself is just a management framework and expects things to be in certain places. Trying to configure this seems like a solution looking for a problem. It seems unlikely that someone would relocate this.

Note You need to log in before you can comment on or make changes to this bug.